/*
 * treatment_box_base.cpp
 *
 *  Created on: 11 mai 2012
 *      Author: valot
 */

#include "treatment_box.h"

TreatmentBox::TreatmentBox(const TreatmentChain &chain) :
		_chain(chain){
	_current_xic_sp = nullptr;
}

TreatmentBox::~TreatmentBox() {
  qDebug() <<"Delete treatment box"<<endl;
	emit onDelete(this);
}

void TreatmentBox::updatedAndEmitChanged() {
	this->doTreatment();
	if (_next != nullptr)
		_next->updatedAndEmitChanged();
}
